Subject: Re: bug#59763: 29.0.60; Filling for c-ts-mode

From: Yuan Fu <[email-masked]>
Date: Sat, 24 Dec 2022 00:36:21 -0800

Theodor Thornhill <[email-masked]> writes:

> Yuan Fu <[email-masked]> writes:
>
>>> On Dec 2, 2022, at 6:58 AM, Eli Zaretskii <[email-masked]> wrote:
>>> 
>>>> From: Yuan Fu <[email-masked]>
>>>> Date: Thu, 1 Dec 2022 21:33:06 -0800
>>>> 
>>>> 
>>>> IMO For c-ts-mode to be usable we need to have at least a basic filling
>>>> function. Below is the function I have in my init.el, could someone have
>>>> a look and see if it’s good? Alternatively we could copy out the comment
>>>> and fill it in a temp buffer with c-mode, but I didn’t have the time to try
>>>> it out and see how well it works.
>>> 
>>> Thanks.
>>> 
>>> From quick testing, I see a problem:
>>> 
>>>  . Visit dispnew.c and go to the comment that starts on line 324.  Delete
>>>    the newline between the two lines of the comment, and invoke the
>>>    function.  Observe how the first non-blank character of the comment's
>>>    second line is aligned with the "/*" on the previous line, not with the
>>>    text after "/*" as I'd expect.
>>
>> I see. I’ll need to look at how cc-mode fill comments.
>>
>>> 
>>> Btw, this command should be bound to M-q in ts-c-mode.
>>
>> Will do, once our fill function works well. BTW, Theo, if you have any
>> idea, don’t hesitate to go ahead :-) No obligations, of course.
>>
>> Yuan
>
> Sure!  Added to my list :)  I had a function at some point that used
> c-mode to do this. I'll see if I can polish it a little.

I did some work in filling, it should work like cc-mode in like 90% of
the cases now, yay!

Yuan